SHELL=@SHELL@

.PHONY: %-all
%-all:
	@$(MAKE) -C $* all

.PHONY:all
all: src-all po-all docs-all

.PHONY: %-install
%-install:
	@$(MAKE) -C $* install

.PHONY:install
install: src-install po-install docs-install

.PHONY: %-uninstall
%-uninstall:
	@$(MAKE) -C $* uninstall

.PHONY:uninstall
uninstall: src-uninstall po-uninstall docs-uninstall

.PHONY: %-clean
%-clean:
	@$(MAKE) -C $* clean

.PHONY:clean
clean: src-clean po-clean

.PHONY: %-distclean
%-distclean:
	@$(MAKE) -C $* distclean

.PHONY:distclean
distclean: src-distclean po-distclean docs-distclean
